MetricDisplayRangeForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricDisplayRangeForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MetricsControlForm, ProblemMetricsDisplayForm, ViewChartForm

    public class MetricDisplayRangeForm

extends CalendarForm

Represents the controls on various pages that display metrics summaries.

See Also:
  Serialized Form

Field Summary
`static java.lang.Integer` | `ACTION_DATE_RANGE`
`static java.lang.Integer` | `ACTION_LASTN`
`protected org.apache.struts.util.ImageButtonBean` | `nextRange`
`protected org.apache.struts.util.ImageButtonBean` | `prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MetricDisplayRangeForm()`

Method Summary
`java.lang.Integer` | `getA()`
`java.lang.String` | `getCtype()`
`java.lang.String[]` | `getEid()`
`org.apache.struts.util.ImageButtonBean` | `getNextRange()`
`org.apache.struts.util.ImageButtonBean` | `getPrevRange()`
`java.lang.Integer` | `getRid()`
`java.lang.Integer` | `getRn()`
`java.lang.Integer` | `getRu()`
`java.lang.Integer` | `getType()`
`boolean` | `getWantEndDate()` Always check the end date.
`boolean` | `isDateRangeSelected()`
`boolean` | `isLastnSelected()`
`boolean` | `isNextRangeClicked()`
`boolean` | `isPrevRangeClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setA(java.lang.Integer b)`
`void` | `setCtype(java.lang.String i)`
`protected void` | `setDefaults()`
`void` | `setEid(java.lang.String[] s)`
`void` | `setNextRange(org.apache.struts.util.ImageButtonBean nextRange)`
`void` | `setPrevRange(org.apache.struts.util.ImageButtonBean prevRange)`
`void` | `setRid(java.lang.Integer i)`
`void` | `setRn(java.lang.Integer i)`
`void` | `setRu(java.lang.Integer i)`
`void` | `setType(java.lang.Integer i)`
`protected boolean` | `shouldValidateDateRange()`
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_LASTN

    public static final java.lang.Integer ACTION_LASTN

### ACTION_DATE_RANGE

    public static final java.lang.Integer ACTION_DATE_RANGE

### prevRange

    protected org.apache.struts.util.ImageButtonBean prevRange

### nextRange

    protected org.apache.struts.util.ImageButtonBean nextRange

Constructor Detail

### MetricDisplayRangeForm

    public MetricDisplayRangeForm()

Method Detail

### getA

    public java.lang.Integer getA()

### setA

    public void setA(java.lang.Integer b)

### getCtype

    public java.lang.String getCtype()

### setCtype

    public void setCtype(java.lang.String i)

### getEid

    public java.lang.String[] getEid()

### setEid

    public void setEid(java.lang.String[] s)

### getRid

    public java.lang.Integer getRid()

### setRid

    public void setRid(java.lang.Integer i)

### getRn

    public java.lang.Integer getRn()

### setRn

    public void setRn(java.lang.Integer i)

### getRu

    public java.lang.Integer getRu()

### setRu

    public void setRu(java.lang.Integer i)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer i)

### getWantEndDate

    public boolean getWantEndDate()

  Always check the end date.

  Overrides:
    `getWantEndDate` in class `CalendarForm`

### isLastnSelected

    public boolean isLastnSelected()

### isDateRangeSelected

    public boolean isDateRangeSelected()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `CalendarForm`

### shouldValidateDateRange

    protected boolean shouldValidateDateRange()

  Overrides:
    `shouldValidateDateRange` in class `CalendarForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CalendarForm`

### setDefaults

    protected void setDefaults()

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `CalendarForm`

### getPrevRange

    public org.apache.struts.util.ImageButtonBean getPrevRange()

### setPrevRange

    public void setPrevRange(org.apache.struts.util.ImageButtonBean prevRange)

### isPrevRangeClicked

    public boolean isPrevRangeClicked()

### getNextRange

    public org.apache.struts.util.ImageButtonBean getNextRange()

### setNextRange

    public void setNextRange(org.apache.struts.util.ImageButtonBean nextRange)

### isNextRangeClicked

    public boolean isNextRangeClicked()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.